'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class CompareListItem extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  CompareListItem.init({
    compareListId: DataTypes.INTEGER,
    productId: DataTypes.INTEGER,
    addedAt: DataTypes.DATE
  }, {
    sequelize,
    modelName: 'CompareListItem',
  });
  return CompareListItem;
};